%global _name requests-file

Name:           python-%{_name}
Version:        1.5.1
Release:        5
Summary:       	A transport adapter for use with the Requests Python library
License:        Apache-2.0
URL:            https://github.com/dashea/requests-file
Source0:        https://github.com/dashea/%{_name}/archive/%{version}.tar.gz

Patch6000:      backport-Remove-installation-dependency-on-six.patch

BuildArch:      noarch

%description
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%package -n python3-%{_name}
Summary:        python3 version of %{summary}
BuildRequires:  python3-devel python3-setuptools python3-pytest
BuildRequires:  python3-requests python3-six
Requires:       python3-requests
%{?python_provide:%python_provide python3-%{_name}}

%description -n python3-%{_name}
python3 binds of python-%{_name}.

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{__python3} tests/test_requests_file.py

%files -n python3-%{_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*.py*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/*info*

%changelog
* Thu Aug 04 2022 shixuantong <shixuantong@h-partners.com> - 1.5.1-5
- Modify the license

* Thu Aug 04 2022 shixuantong <shixuantong@h-partners.com> - 1.5.1-4
- Remove installation dependency on six

* Fri Oct 30 2020 tianwei <tianwei12@huawei.com> - 1.5.1-3
- remove python2

* Tue Sep 8 2020 shixuantong <shixuantong@huawei.com> - 1.5.1-2
- update Source0

* Wed Jul 29 2020 tianwei <tianwei12@huawei.com> - 1.5.1-1
- Package update to 1.5.1

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.4.3-9
- Package init
